#include <bits/stdc++.h>

using namespace std;

int t;
double p;
ifstream fi ("TAMGIAC.INP");
ofstream fo ("TAMGIAC.OUT");

void test1(int a, int b, int c){
   if (a+b>c&&b+c>a&&a+c>b){
    fo<<"YES"<<endl;
    t=1;
   }
   else {fo<<"NO"; t=0;}
   return;
}

void stg(double a, double b, double c) {
   p= (a+b+c)/2;
   fo<<fixed<<setprecision(2)<<sqrt(p*(p-a)*(p-b)*(p-c));
   return;
}

int main(){
  int a,b,c;
  fi>>a>>b>>c;
  fi.close();
  test1(a,b,c);
  if (t==1){stg(double(a),double(b),double (c));}
}
